This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 181029 - show what packages causes removal of current package in Update details
show what packages causes removal of current package in Update details
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-11 16:54 EST by Marius Andreiana
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 15:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2006-02-11 16:54:29 EST
When uninstalling packages others are removed for depencies (shown in details). 

Please list, besides package name, the package which caused the dependency, e.g.
when deselecting mikmod, the details should list
xmms (requires mikmod)

Thanks!
Comment 1 Daryl Hochhalter 2006-04-25 14:33:35 EDT
Or give the user a choice of other affected packages and the option to keep some
dependencies scheduled for removal.
Comment 2 Jeremy Katz 2006-09-11 17:14:52 EDT
One problem with this from a UI perspective is what to do when there are
multiple packages that cause the removal.  Do you show all of them or just one?
 And what do you do when it's foo requires bar requires baz.
Comment 3 Jeremy Katz 2007-04-09 15:21:26 EDT
Not going to complicate the UI with this.

Note You need to log in before you can comment on or make changes to this bug.